.header {
  position: relative;

  .header__mobile-menu {
    position: absolute;
    width: 100%;
    overflow: hidden;
    transform: translateX(-100%);
    transition: 0.8s ease;
    margin-top: -22px;
    z-index: 999999;

  .burger__aside {
    background: #FFFFFF;
    padding: 30px;

    .burger-logo {
      display: flex;
      justify-content: space-between;
      margin-bottom: 10px;
      align-items: center;
    }

    .tab__container {
      margin-bottom: 30px;
      margin-top: 30px;

      .aside-filter__form {
        .aside-filter__list {
          .aside-filter__item-drop {
            border-bottom: 1px solid rgba(0, 0, 0, 0.13);
            .aside-filter-item-title {
              font-weight: 400;
              font-size: 16px;
              line-height: 20px;
              color: #2B2E34;
              position: relative;
            }

            .filter-item-drop {
              position: relative;
              cursor: pointer;
              margin-left: 30px;

                &:before {
                  content: url('../images/arrow-down.svg');
                  position: absolute;
                  right: 0;
                  transform: rotate(0deg);

                }
            }

            .filter-item-drop--active {
              &:before {
                transform: rotate(180deg);
                transition: 0.3 ease;
              }
            }

            .burger-filter-content {
              margin-top: 26px;

              .burger-filter-content-box {
                margin-bottom: 25px;
                font-weight: 400;
                font-size: 14px;
                line-height: 18px;
                color: #2B2E34;a
                  &:not(:last-child) {
                    margin-bottom: 25px;
                  }
              }
            }
          }
          .burger-icon {
            padding-top: 30px;
            padding-bottom: 30px;
          }

          .radiator{
            position: relative;

            &:before {
              position: absolute;
              content: url('../images/heating-mobile-1.svg');
              left: -3px;
            }
          }

          .tap{
            position: relative;

            &:before {
              position: absolute;
              content: url('../images/heating-mobile-2.svg');
              left: -3px;
            }
          }

          .dispenser{
            position: relative;

            &:before {
              position: absolute;
              content: url('../images/heating-mobile-3.svg');
              left: -3px;
            }
          }

          .shower{
            position: relative;

            &:before {
              position: absolute;
              content: url('../images/heating-mobile-4.svg');
              left: -3px;
            }
          }
        }
      }
    }

    .burger-menu {
      margin-top: 50px;
      .burger-menu__list {
        .burger-menu__item {
          margin-bottom: 30px;

          .burger-menu__link {
          font-weight: 400;
          font-size: 14px;
          line-height: 18px;
          color: #2B2E34;
          text-decoration: none;
          list-style-type: none;

          }
        }
      }
    }
  }
  }

  .header__mobile-menu_active {
    transform: translateX(0%);
  }

  .header__top-wrapper {
    .header__top {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin: 22px 0;

      .header__burger {
        .burger-wrapper {
          .burger-menu__btn {
            align-items: center;
            display: block;
            height: 50px;
            position: relative;

            span,
            span::before,
            span::after {
              position: absolute;
              top: 40%;
              margin-top: 0px;
              left: 50%;
              margin-left: -16px;
              width: 32px;
              height: 2px;
              background-color: #000;
            }

            span::before,
            span::after {
            content: '';
            background-color: #000;
            display: block;
            transition: 0.2s;
            }

            span::before {
            transform: translateY(-9px);
            }

            span::after {
            transform: translateY(9px);
            }
          }

          .burger-menu-nav {
            transition: 0.3s;
            transform-origin: top;
            transform: scaleY(1) translateY(20%);
            opacity: 0;
            overflow: hidden;
            height: 0;
          }

          .burger-menu-nav_active {
            transform: scaleY(1) translateY(0);
            opacity: 1;
          }
        }
      }

      .header__search {
        width: 850px;

          .form__search {
          position: relative;

          &:before {
            position: absolute;
            content: url('../images/search-icon.svg');
            top: 33%;
            left: 33px;
            z-index: 1;
          }

          .search__input {
            width: 100%;
            height: 54px;
            display: block;
            background: #F7F7F7;
            border: none;
            color: #2B2E34;
            font-weight: 400;
            font-size: 15px;
            line-height: 19px;
            text-indent: 66px;
            outline: none;
          }
        }
      }

      .header__icons {
        .icon-wrapper {
          display: flex;
          align-items: center;
          .icon:not(:last-child) {
            margin-right: 40px;
          }
        }
      }

      .header__icons-mobile {
        display: none;
      }
    }
  }

  .header__bottom-wrapper {
    margin: 42px 0;

    .header__bottom {
      .header__communication {
        display: flex;
        justify-content: space-between;

        .communication-wrapper {
          display: block;
        }
        .communication-icon {
          font-weight: 400;
          font-size: 18px;
          line-height: 20px;
          color: #2B2E34;
          text-decoration: none;
          border: none;
          position: relative;

          &::before {
            position: absolute;
            left: -30px;
            top: -2px;
          }
        }
        .city {
          margin-left: 35px;
        }

        .city::before {
          content: url('../images/city.svg');
        }

        .phone::before {
          content: url('../images/phone.svg');
        }

        .email::before {
          content: url('../images/email.svg');
        }

        .request::before {
          content: url('../images/request.svg');
        }

        .contact::before {
          content: url('../images/contact.svg');
        }
      }
      .header__search {
        display: none;
      }
    }
  }
}

.main {
  .section__slider {
    margin-bottom: 46px;
    .swiper {
      width: 100%;
      // height: 294px;
      .swiper-wrapper {
        .swiper-slide {

          .slide {
            height: 294px;
            width: 100%;
            background-image: url('../images/slide-background.png');
            background-repeat: no-repeat;
            background-size: cover;
            background-position-x: center;
            z-index: -1;

            .slide-container {
              display: flex;
              justify-content: space-between;
              align-items: center;
              height: 294px;

              .slide__button {
                position: relative;
                background-color: #F5F5F5;
                padding-left: 70px;
                border: none;
                width: 282px;
                height: 78px;
                z-index: 1;
                font-weight: 500;
                font-size: 18px;
                line-height: 23px;
                color: #2B2E34;
                cursor: pointer;

                &:before {
                  position: absolute;
                  content: url('../images/slide-button-more.svg');
                  transform: translateY(-50%);
                  top: 52%;
                  left: 53px;
                }
              }

              .slide__content {
                width: 40%;

                .slide__header {
                  margin: 20px 0;
                  font-weight: 600;
                  font-size: 42px;
                  line-height: 53px;
                  color: #FFFFFF;
                }

                .slide__text {
                  font-weight: 400;
                  font-size: 18px;
                  line-height: 27px;
                  color: #FFFFFF;
                }
              }
            }
          }
        }
      }
    }
  }

  .breadcrumbs {
    margin-bottom: 65px;

    .breadcrumbs__inner {
      .breadcrumbs__list {
        display: flex;

        .breadcrumbs__item {
          font-weight: 400;
          font-size: 15px;
          line-height: 19px;
          position: relative;

            &:not(:last-child) {
              padding-right: 30px;
              color: #858A93;

                &::before {
                  position: absolute;
                  content: '/';
                  right: 10px;
            }
          }
        }
      }
    }
  }

  .section__catalog {
    margin-bottom: 195px;

    .main__header {
      font-weight: 400;
      font-size: 40px;
      line-height: 53px;
      color: #2B2E34;
      margin-bottom: 58px;
    }

    .catalog__inner {
      display: flex;

      .catalog__aside {
          min-width: 294px;
          height: 100%;
          margin-right: 35px;
          background: #F4F4F4;
          border-radius: 3px;
          padding: 30px;

        .tab__filter {
          display: flex;
          justify-content: space-between;
          align-items: center;

          .filter {
            font-weight: 400;
            font-size: 22px;
            line-height: 28px;
            color: #2B2E34;
          }

          .reset {
            font-weight: 400;
            font-size: 16px;
            line-height: 20px;
            color: #7E838C;
            position: relative;
            right: 30px;
            cursor: pointer;

            &:before {
              position: absolute;
              content: url('../images/filter-reset.svg');
              right: -30px;
              bottom: -2px;
            }
          }
        }

        .tab__container {
          .aside-filter__form {
            .aside-filter__list {
              margin-top: 60px;
              .aside-filter__item-drop {
                .aside-filter-item-title {
                  font-weight: 400;
                  font-size: 18px;
                  line-height: 23px;
                  color: #2B2E34;
                }

                .filter-item-drop {
                  position: relative;
                  cursor: pointer;

                    &:before {
                      content: url('../images/arrow-down.svg');
                      position: absolute;
                      right: 0;
                      transform: rotate(0deg);

                    }
                }
                .filter-item-drop--active {
                  &:before {
                    transform: rotate(180deg);
                    transition: 0.3 ease;
                  }
                }

                .aside-filter-content {
                  margin-top: 26px;

                  .aside-filter-content-box {
                    margin-bottom: 10px;

                    .aside-filter-content-label {
                      cursor: pointer;
                      font-weight: 400;
                      font-size: 15px;
                      line-height: 19px;
                      color: #2B2E34;
                      display: flex;
                      margin-bottom: 16px;

                      .filter-style {
                        margin-right: 20px;
                        background: white;
                        border: none;
                        border-radius: none;
                      }

                      .color-style {
                        border-radius: 50%;
                      }
                    }

                    .circle-box {
                      .jq-checkbox.checked .jq-checkbox__div {
                        width: 16px;
                        height: 16px;
                        border-radius: 50%;
                        margin: 0;
                        border: 0.5px solid black;
                      }
                    }

                    .red-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: red;

                      }
                    }

                    .yellow-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: yellow;
                      }
                    }

                    .green-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: green;
                      }
                    }

                    .blue-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: blue;
                      }
                    }

                    .violet-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: violet;
                      }
                    }

                    .pink-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: pink;
                      }
                    }

                    .beige-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: beige;
                      }
                    }

                    .white-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: white;
                      }
                    }

                    .black-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: black;
                      }
                    }

                    .gray-color {
                      .jq-checkbox.checked .jq-checkbox__div {
                        background-color: gray;
                      }
                    }
                  }

                  // Настройка фильтр слайдера //

                  .irs {
                      margin-bottom: 30px;
                    .irs-bar {
                      background-color: #38D3E8;

                      height: 3px;
                    }

                    .irs-line {
                      height: 3px;
                    }

                    .irs-min {
                      font-weight: 400;
                      font-size: 14px;
                      line-height: 18px;
                      color: #2B2E34;
                      background-color: transparent;
                      top: 48px;
                      visibility: inherit !important;
                      position: relative;
                        &:after {
                          position: absolute;
                          content: url('../images/rub.svg');
                          top: -3px;
                          left: 57px;
                        }
                    }

                    .irs-max {
                      font-weight: 400;
                      font-size: 14px;
                      line-height: 18px;
                      color: #2B2E34;
                      background-color: transparent;
                      top: 48px;
                      visibility: inherit !important;
                        &:after {
                          position: absolute;
                          content: url('../images/rub.svg');
                          top: -3px;
                          left: 60px;
                        }
                    }

                    .irs-from {
                      display: none;
                    }

                    .irs-to {
                      display: none;
                    }

                    .irs-single {
                      display: none;
                    }

                    .irs-handle {
                      i {
                        background-color: #38D3E8;
                        width: 3px;
                        top: -4px;
                      }
                    }
                  }
                }
                .js-height {
                  margin-top: 11px;
                }
              }
              .aside-filter__item-drop:not(:first-child) {
                padding-top: 50px;
              }
            }
          }
          .aside-filter__mobile {
            display: none;

            margin-top: 20px;
            .reset {
              margin-top: 30px;
              color: #7E838C;
              background: #fff;
              width: 203px;
              height: 54px;
              font-weight: 400;
              font-size: 16px;
              line-height: 20px;
              letter-spacing: 0.02em;
              border: none;
              padding-right: 40px;
              position: relative;

              &:before {
                position: absolute;
                content: url('../images/filter-reset.svg');
                right: 45px;
                bottom: 13px;
              }
            }

            .apply {
              margin-top: 30px;
              background: #38D3E8;
              color: #FFFFFF;
              width: 203px;
              height: 54px;
              font-weight: 400;
              font-size: 16px;
              line-height: 20px;
              letter-spacing: 0.02em;
              border: none;
              padding-left: 40px;
              position: relative;

                &:before {
                  position: absolute;
                  content: url('../images/arrow-mobile-button.svg');
                  left: 32px;
              }
            }
          }
        }
      }
      .catalog__list {
        width: 100%;
          .catalog-header {
            display: flex;
            justify-content: space-between;
            background: #F4F4F4;
            border-radius: 3px;
            padding: 30px;
            margin-bottom: 35px;

            .price-filter {
              .price-wrapper {
                span {
                  color: #7E838C;
                }
              }
            }
          }

          .catalog-inner-list {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;

            .product-item-wrapper {
              margin-bottom: 35px;
              position: relative;
              width: 300px;
              padding: 30px 30px;
              background: #FFFFFF;

              .product-item-basket {
                position: absolute;
                bottom: -4px;
                right: 0;
                cursor: pointer;
              }

              .product-item-sale {
                position: absolute;
                top: 0;
                left: 0;
              }

              .product-item-old-price {
                position: absolute;
                bottom: 34px;
                left: 33%;
                font-weight: 400;
                font-size: 15px;
                line-height: 14px;
                color: #7E838C;

                  &:before {
                    position: absolute;
                    right: -16px;
                    content: url('../images/line-sale.svg');
                    z-index: 10;
                  }

                  &:after {
                    position: absolute;
                    content: url('../images/rub-sale.svg');
                    right: -7px;
                    top: -7px;
                  }
              }

              .product-item {
                text-decoration: none;
                min-height: 487px;

                .product-item-img {
                  max-width: 100%;
                  display: block;
                  margin: 0 auto;
                }

                .product-item-title {
                  font-weight: 400;
                  font-size: 16px;
                  text-align: initial;
                  line-height: 25px;
                  color: #2B2E34;
                  margin: 40px 0;

                }

                .product-item-price {
                  font-weight: 600;
                  font-size: 20px;
                  line-height: 25px;
                  color: #2B2E34;
                  position: relative;

                  &:before {
                    position: absolute;
                    left: 57px;
                    bottom: 5px;
                    content: url('../images/rub.svg');
                  }
                }
            }
          }
        }
      }
    }
  }

  .section__content {
    margin-bottom: 190px;
    .content__main-title {
      font-weight: 400;
      font-size: 35px;
      line-height: 44px;
      color: #2B2E34;
      margin-bottom: 48px;
    }

    .content__title {

      font-weight: 400;
      font-size: 22px;
      line-height: 26px;
    }

    .content__text {
      font-weight: 300;
      font-size: 16px;
      line-height: 26px;
      margin-bottom: 30px;
    }

    .last__text {
      margin-bottom: 50px;
    }
  }
}

.footer {
  background: #FFFFFF;

  .footer__top-wrapper {
    display: flex;
    justify-content: space-between;
    margin-bottom: 57px;
    padding-top: 49px;

    .footer__contacts{
      display: flex;
      justify-content: space-between;
      flex-direction: column;

        .footer-connection {
          .communication-icon {
            font-weight: 400;
            font-size: 18px;
            line-height: 20px;
            color: #2B2E34;
            text-decoration: none;
            border: none;
            position: relative;
            margin-left: 30px;
            margin-bottom: 19px;

            &::before {
              position: absolute;
              left: -30px;
              top: -2px;
            }
          }

          .phone::before {
            content: url('../images/phone.svg');
          }

          .work {
            margin-top: 19px;
            font-weight: 400;
            font-size: 16px;
            line-height: 28px;
            color: #7E838C;
          }
        }

        .footer-email {
          margin-left: 30px;

          .communication-icon {
            font-weight: 400;
            font-size: 18px;
            line-height: 20px;
            color: #2B2E34;
            text-decoration: none;
            border: none;
            position: relative;

            &::before {
              position: absolute;
              left: -30px;
              top: -2px;
            }
          }

          .email::before {
            content: url('../images/email.svg');
          }
        }

        .footer-social {
          .text {
            font-weight: 400;
            font-size: 18px;
            line-height: 20px;
            color: #2B2E34;
            margin-bottom: 40px;
        }
      }
    }

    .footer__categories {
      .list {
        font-weight: 400;
        font-size: 18px;
        line-height: 23px;
        color: #2B2E34;
        margin-bottom: 26px;
      }

      .item {
        font-weight: 400;
        font-size: 16px;
        line-height: 33px;
        color: #7E838C;
      }
    }
  }

  .footer__bottom-wrapper {
    border-top: 1px solid rgba(217, 218, 225, 0.8);;
    padding-top: 43px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 38px;

    .bottom-text {
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 20px;
      color: #7E838C;
      text-decoration: none;
    }
  }
}



